﻿@model CaseTecnicoWeb.Models.ViewModels.GrupoArvoreViewModel

@{
    ViewData["Title"] = "Editar grupo de arvores";
}

<h1>Editar grupo de arvores</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="GrupoArvoreId" class="control-label"></label>
                <input asp-for="GrupoArvoreId" disabled class="form-control" />
                <span asp-validation-for="GrupoArvoreId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Nome" class="control-label"></label>
                <input asp-for="Nome" class="form-control" />
                <span asp-validation-for="Nome" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Descricao" class="control-label"></label>
                <input asp-for="Descricao" class="form-control" />
                <span asp-validation-for="Descricao" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ArvoresId" class="control-label"></label>
                @Html.ListBox("ArvoresId", (MultiSelectList)ViewBag.Arvores, new { @class = "form-control" })
                <span asp-validation-for="ArvoresId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Salvar" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Voltar para a lista</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
